.popper {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;

  .popup-backdrop {
    display: none;
    width: 100%;
    height: 100%;
    background-color: black;
    position: absolute;
    opacity: 0.3;
    z-index: 0;

    &.true {
      z-index: 15;
      display: grid;
      place-items: center;
    }
  }

  .popup-wrapper {
    opacity: 0;
    margin: auto auto;
    position: absolute;
    width: 962px;
    height: 869px;
    right: 44px;
    background: #fff;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    bottom: -870px;
    border-radius: 20px;
    transition: opacity 0.2s ease-in;
    bottom: 140px;


    display: flex;
    flex-direction: column;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;

    .cancel {
      width: 100px;
      height: 100px;
      border-radius: 50px;
      background-color: #FFFFFF;
      text-align: center;
      display: flex;
      justify-content: center;
      align-items: center;
      position: absolute;
      top: -30px;
      right: -30px;
      z-index: 16;
      cursor: pointer;
      background-color: orangered;
      color: #FFFFFF;
      text-transform: uppercase;
      font-size: 50px;
    }

    .popup-image {
      top: -150%;
      ;
      transition: top 0.5s ease-in;
      z-index: 1;
      position: absolute;
      margin:
        26px 0 0 26px;
      width: calc(100%-60px);
      height: 100%;
      width: 375px;
      height: 646px;
      border-radius: 20px;
      filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));

      display: flex;
      justify-content: center;
      background: linear-gradient(180deg, #ebebeb 1.69%, #dfdfdf 99.09%, #579BC1 101.69%);
      flex-direction: column;
      align-items: center;

      &.true {
        top: 0;
      }

      .image-wrapper {
        position: absolute;
        top: 20px;
        height: 481px;
        display: grid;
        // justify-content: center;
        place-items: center;

        img {
          // margin: 30px 30px 0 30px;
          max-height: 471px;
          max-width: 250px;
        }
      }

      .counter {
        position: absolute;
        bottom: -10px;
        margin: 20px;
        // width: 925px;
        display: flex;

        background: #cecece;
        border-radius: 64px;


        .count {
          height: 80px;
          width: 150px;
          display: grid;
          place-items: center;
          font-size: 50px;
          font-family: Roboto;
          font-size: 72px;
          font-style: normal;
          font-weight: 700;
          line-height: 84px;
          letter-spacing: 0em;
          text-align: left;
          color: #0a2342;
          // text-shadow: 4px 0 4px rgba(136, 62, 162, 0.25);

        }

        .button {
          -webkit-user-select: none;
          -moz-user-select: none;
          -ms-user-select: none;
          user-select: none;
          font-size: 50px;

          display: grid;
          place-items: center;

          height: 80px;
          width: 80px;
          left: 280px;
          top: 549px;
          border-radius: 116px;

          filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
          background-color: white;

        }

      }
    }

    .popup-pricing {
      background: linear-gradient(180deg, #ebebeb 1.69%, #dfdfdf 99.09%, #579BC1 101.69%);

      position: absolute;
      width: 508px;
      height: 100px;
      border-radius: 20px;
      filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
      top: 546px;
      right: 0;
      width: 508px;
      z-index: 15;
      margin: 0px 26px 0 26px;

      // color:
      .pricing {
        color: #0a2342;
        font-size: 38px !important;
        display: flex;
        justify-content: space-around;
      }

      &.true {
        top: 575px;
      }
    }

    .popup-top-flex {
      display: flex;
      flex-wrap: wrap;
    }

    .popup-description {

      top: 0px;
      right: 0;

      &.true {
        top: -150%;
      }

      // wo;
      transition: top 0.5s ease-in;
      position: absolute;
      // flex: 1;
      margin: 26px 26px 0 26px;
      width: 508px;
      height: 526px;
      background: black;
      border-radius: 20px;
      background: linear-gradient(180deg, #ebebeb 1.69%, #dfdfdf 99.09%, #579BC1 101.69%);
      box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
      filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));

      .popup-content {
        margin: 50px;
        overflow: hidden;

        h1 {
          text-transform: uppercase;
        }

        img {
          height: 80%;
        }

      }
    }

    .popup-ebarimt {
      position: absolute;
      width: 100%;
      height: 100%;
      // background-color: #FFFFFF;
      border-radius: 8px;
      z-index: 15;
      right: 0;
      transition: right 0.5s ease-in;

      text-align: center;

      h1 {
        font-size: 50px;
      }

      &.true {
        right: -150%;
      }
    }

    .popup-pricing {
      position: absolute;
      display: grid;
      place-items: center;
      top: 575px;

      transition: top 0.5s ease-in;

      .pricing {
        // float: bottom;\
        color: #0a2342;
        font-size: 36px;
        font-weight: 800;
      }

      &.false {
        top: -150%;

      }
    }

    .performance-facts {
      height: 350px;
      overflow-y: scroll;
    }

    .popup-lend {
      top: 0px;
      right: 0;

      &.true {
        right: -150%;
      }

      .hint {
        border-top: 1px solid #cecece;
        padding-top: 20px;
        font-size: 30px;
        text-transform: uppercase;
        color: #0a2342;
      }

      // wo;
      transition: right 0.5s ease-in;
      position: absolute;
      // flex: 1;
      margin: 26px 26px 0 26px;
      width: 508px;
      height: 526px;
      // background: #797F7F;
      border-radius: 20px;
      background: linear-gradient(180deg, #ebebeb 1.69%, #dfdfdf 99.09%, #579BC1 101.69%);
      box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
      filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));

      .popup-content {
        margin: 50px;
        display: grid;
        place-items: center;

        .popup-title {

          // font-family: Anton;
          font-style: normal;
          font-weight: normal;
          font-size: 30px;

          padding-bottom: 20px;
          display: flex;
          align-items: center;
          text-align: center;

          color: #000000;
        }

        .shadow {
          margin-top: 10px;
          width: 300px;
          height: 33px;

          background: radial-gradient(50% 50% at 50% 50%, #000000 21.87%, rgba(0, 0, 0, 0) 100%);
        }

        canvas {
          border: 5px solid #FA3B02;
        }
      }
    }

    .popup-monpay {
      top: 0px;
      right: 0;



      &.true {
        right: -150%;
      }

      .hint {
        border-top: 1px solid #cecece;
        padding-top: 20px;
        font-size: 30px;
        text-transform: uppercase;
        color: #0a2342;
      }

      transition: right 0.5s ease-in;
      position: absolute;
      margin: 26px 26px 0 26px;
      width: 508px;
      height: 526px;
      border-radius: 20px;
      background: linear-gradient(180deg, #ebebeb 1.69%, #dfdfdf 99.09%, #579BC1 101.69%);
      box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
      filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));

      .popup-content {
        margin: 50px;
        display: grid;
        place-items: center;

        .popup-title {

          font-style: normal;
          font-weight: normal;
          font-size: 30px;

          display: flex;
          align-items: center;
          text-align: center;

          color: #000000;
        }

        .shadow {
          margin-top: 10px;
          width: 300px;
          height: 33px;

          background: radial-gradient(50% 50% at 50% 50%, #000000 21.87%, rgba(0, 0, 0, 0) 100%);
        }

        canvas {
          border: 5px solid black;
        }
      }
    }

    .popup-card {
      top: 0px;
      right: 0;

      &.true {
        right: -150%;
      }

      .popup-content {
        margin: 50px;
        overflow: hidden;
        display: grid;
        place-content: center;
        text-align: center;
        color: #FFFFFF;
        font-size: 30px;
        padding-bottom: 50px;
        text-transform: uppercase;

        img {
          height: 310px;
          margin: 0 auto 43px auto;
        }

        .hint {
          border-top: 1px solid #cecece;
          padding-top: 20px;
          font-size: 30px;
          text-transform: uppercase;
          color: #0a2342;
        }
      }

      transition: right 0.5s ease-in;
      position: absolute;
      margin: 26px 26px 0 26px;
      width: 508px;
      height: 526px;
      border-radius: 20px;
      background: linear-gradient(180deg, #ebebeb 1.69%, #dfdfdf 99.09%, #579BC1 101.69%);
      box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
      filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));

      .popup-content {
        margin: 50px;
      }
    }

    .popup-button {
      cursor: pointer;
      top: 675px;
      position: relative;
      margin: 26px 26px 26px 26px;
      background: orangered;
      color: white;

      width: 907px;
      height: 145px;
      border-radius: 20px;
      display: grid;
      place-items: center;
      font-size: 50px;
      filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
      text-transform: uppercase;
      left: 0;
      transition: left 0.5s ease-in;

      &.true {
        left: -160%;
      }
    }

    .popup-back {
      cursor: pointer;
      top: 675px;
      position: absolute;
      margin: 26px 26px 26px 26px;
      width: 907px;
      height: 145px;
      border-radius: 20px;
      display: grid;
      place-items: center;
      font-size: 50px;
      color: black;
      filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
      text-transform: uppercase;
      left: 0;
      transition: left 0.5s ease-in;
      left: 150%;
      display: flex;

      &.ebarimt {

        grid-template-columns: 1fr;
      }

      div {
        border-radius: 20px;
        margin: 20px;
        background: rgb(255, 255, 255);
        height: 100%;
        width: 100%;
        display: grid;
        place-items: center;
        font-size: 20px;

        &.lend {
          background: #ff6600;
          color: white;
        }

        &.monpay {
          background: #0a0032;
          color: white;
        }

        &.card {
          img {
            flex: 1;
          }

          background: dodgerblue;
          color: white;
        }

        &.ebarimt {
          img {
            padding-right: 30px;
          }

          display: flex;
          justify-content: center;
          background: #3f888b;
          color: white;
          font-size: 50px;
        }

        img {
          max-height: 80px;
        }
      }

      &.true {

        left: 0px;
      }
    }

    &.true {
      z-index: 15;
      opacity: 1;
    }
  }

}